Avatar

Update from 2.4.24 to 20220803.1 failed, a warning (Bugs)

by Auge ⌂, Friday, September 23, 2022, 17:12 (66 days ago) @ Fritz

Hello

... and one more question:
The tables created by version 2.4.24 use utf8_general_ci throughout, not utf8mb4
Example:
name varchar(255) utf8_general_ci
Do I have to change every collation to utf8mb4 in the database manually, or will this be done by update_2.4.19.1-2.5.php?

This is one of the tasks, the update script is performing.

Unfortunately there are currently a few pitfalls in the update script, that are caused by MySQL-server-configurations we wasn't aware of and wasn't be able to test before the releases of the first versions of the 2.5-branch (20220508.1 and later). We have to solve these issues first, before we can recommend an upgrade to the 2-5-branch for forum operators, who are not really familiar with PHP, MySQL and the code of the forum script to inspect and possibly solve issues themselfes.

Tschö, Auge

--
Trenne niemals Müll, denn er hat nur eine Silbe!


Complete thread:

 RSS Feed of thread